Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessTimerOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessTimer, JBPMMessages.ProcessTimer.Builder

Enclosing class:
  JBPMMessages

    public static interface JBPMMessages.ProcessTimerOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`org.drools.core.marshalling.impl.ProtobufMessages.Trigger` | `getTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`boolean` | `hasTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasTimer

    boolean hasTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### getTimer

    JBPMMessages.ProcessTimer.TimerInstance getTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### getTimerOrBuilder

    JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### hasTrigger

    boolean hasTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### getTrigger

    org.drools.core.marshalling.impl.ProtobufMessages.Trigger getTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### getTriggerOrBuilder

    org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.